Bug 147448 - PHP missing BuildRequire for recent pcre-devel
PHP missing BuildRequire for recent pcre-devel
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-02-07 19:45 EST by Graham Leggett
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.0.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-11 16:38:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-02-07 19:45:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050130 Fedora/1.7.5-3

Description of problem:
If an attempt is made to rebuild PHP against httpd v2.1, the following
problems are encountered, rendering the build impossible:

- GMP detection is broken. With v4.1.2 or v4.1.3 installed, the
compile still breaks like so:

checking for GNU MP support... yes
checking for __gmp_randinit_lc_2exp_size in -lgmp... no
checking for gmp_randinit_lc_2exp_size in -lgmp... no
configure: error: GNU MP Library version 4.1.2 or greater required.
error: Bad exit status from /var/tmp/rpm-tmp.45309 (%build)

- Upgrading GMP to v4.1.4 is impossible on RHEL3, as the tests break.

- Trying PHP v5.0.3 runs into the same GMP problem saying that 4.1.2
is required, when v4.1.2 is installed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Graham Leggett 2005-02-07 20:06:29 EST
Further build errors in PHP v5.0.3:

pcre is broken:

/bin/sh /usr/src/redhat/BUILD/php-5.0.3/build-cgi/libtool --silent
--preserve-dup-deps --mode=compile gcc -DSUPPORT_UTF8 -DLINK_SIZE=2
-I/usr/src/redhat/BUILD/php-5.0.3/ext/pcre/ -DPHP_ATOM_INC
-I/usr/include/libxml2 -I/usr/kerberos/include
-I/usr/include/freetype2 -I/usr/include/imap
-I/usr/include/mysql -I/usr/include/ncurses -I/usr/include/pcre
-I/usr/include/pspell -I/usr/src/redhat/BUILD/php-5.0.3/main
-I/usr/src/redhat/BUILD/php-5.0.3/build-cgi/TSRM  -O2 -g -pipe
-march=i386 -mcpu=i686 -Wall -fno-strict-aliasing  -prefer-non-pic -c
/usr/src/redhat/BUILD/php-5.0.3/ext/pcre/php_pcre.c -o ext/pcre/php_pcre.o
/usr/src/redhat/BUILD/php-5.0.3/ext/pcre/php_pcre.c: In function
`PCRE_INFO_NAMECOUNT' undeclared (first use in this function)
/usr/src/redhat/BUILD/php-5.0.3/ext/pcre/php_pcre.c:456: (Each
undeclared identifier is reported only once
/usr/src/redhat/BUILD/php-5.0.3/ext/pcre/php_pcre.c:456: for each
function it appears in.)
`PCRE_INFO_NAMETABLE' undeclared (first use in this function)
`PCRE_INFO_NAMEENTRYSIZE' undeclared (first use in this function)
make: *** [ext/pcre/php_pcre.lo] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.4023 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.4023 (%build)
Comment 2 Graham Leggett 2005-02-07 20:20:02 EST
Turns out php v5.0.3 does not support PCRE v3.9 as shipped with RHEL3.
The dependancies on the php package need to be updated to depend at
least on PCRE v5.0.
Comment 3 Joe Orton 2005-02-08 03:34:56 EST
Reclassifying as "Raw Hide php missing PHP BuildRequire".
Comment 4 Joe Orton 2005-02-11 16:38:23 EST
php-5.0.3-2 now requires pcre-devel >= 4.5 - thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.